commit:     61474ce07b691724b5fe6a002d148ece9d3686da
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 12 23:15:56 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Nov 12 23:15:56 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61474ce0

dev-python/pycountry: Version bump

Package-Manager: portage-2.2.24

 dev-python/pycountry/Manifest              |  1 +
 dev-python/pycountry/pycountry-1.18.ebuild | 31 ++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/pycountry/Manifest b/dev-python/pycountry/Manifest
index 03653d7..0fcb570 100644
--- a/dev-python/pycountry/Manifest
+++ b/dev-python/pycountry/Manifest
@@ -1,3 +1,4 @@
 DIST pycountry-1.12.tar.gz 18606424 SHA256 
dce2893ceac5d5264e7d0b6bf9f0421fb9ff87b7459d1c65a518fbcd826245e9 SHA512 
6a9bfb47ce56098bc8f536afc5e671cd65304213df1e3c9754bcaac8e3cdb8293c75ec59649be5df8b974f36be333ed35fe4cd4d274baa183cfd6455d9241702
 WHIRLPOOL 
531fcfa4caeec4eda11c657e7a374d2668808ee9b94cb5192603049824fbd12a6999682a321d4c577f836acd9106f667f85312ec29e9d78fca74b7b93c297356
 DIST pycountry-1.13.tar.gz 5007397 SHA256 
3b72f2c334e702d463205e510d8d9b3fc8364a2f647074f543a1da2602730918 SHA512 
1b32e87630efa8d3b6fbd4f60ce837c4df451fb097402b658d63ba6589b5761c719a80232142d557a7220ad549fcf4cb686b12ab3b3b5f2be51253548d0169ac
 WHIRLPOOL 
bc5818ce45c5bb23bb37a4e375acdfcc9419aa602940985a519a1941f28655156d46a0f17b2ace87e92f8f62af6fdf81b89817c69f2f5a4e12d1a026cbb9eefd
 DIST pycountry-1.14.tar.gz 5009511 SHA256 
e5012671e4c1e0280574fff5bce50d892e8b56dea43e867661088c1bf91c2f0c SHA512 
93196bed14b616fd696ff993da8b49254c5fd1f9af37f5519e64b27d7e58cee25ace8fcfbe0328fc6e03f1ad5f3be70c390f467643ad9b419b3ec65e03c7adbf
 WHIRLPOOL 
6231af9dc9f63d4b22b10ca0bbbded9a9e3e2d5728825dc84ea86eeee3e8d1c39b7c3331187cbff53cd572cfeb1fa3639c8452d97a6cddc317b06bbeac5e431d
+DIST pycountry-1.18.tar.gz 5020542 SHA256 
23bb173d0281e98eb7b432d8dc6819e5fe6573e505454d228558f61e1f5ae1e6 SHA512 
eab2bf1711f514b3842aee6004a904573e974b13757cf3c1a388eb8a292d92e3bdb801265a1c146df5fd510bd830297ddfcc64e41c0ed17c385335837f6721dc
 WHIRLPOOL 
c697250bbe13e9b471e0b19857d4afcfdaaf85410a07131727e75c23ac5d7f214682e993f1d799c26417e79ae78b83400e0e3401d2bcbb4afae5d40bf9456346

diff --git a/dev-python/pycountry/pycountry-1.18.ebuild 
b/dev-python/pycountry/pycountry-1.18.ebuild
new file mode 100644
index 0000000..c35e099
--- /dev/null
+++ b/dev-python/pycountry/pycountry-1.18.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="ISO country, subdivision, language, currency, script definitions 
and their translations"
+HOMEPAGE="https://pypi.python.org/pypi/pycountry";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~sparc ~ppc ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+       # 
https://bitbucket.org/techtonik/pycountry/issue/8/test_locales-pycountry-015-pypy
+       pushd "${BUILD_DIR}"/lib > /dev/null
+       if [[ "${EPYTHON}" == pypy || "${EPYTHON}" == pypy3 ]]; then
+               sed -e 's:test_locales:_&:' -i pycountry/tests/test_general.py 
|| die
+       fi
+               py.test ${PN}/tests/test_general.py || die
+       popd > /dev/null
+}

Reply via email to